AM263Px MCU+ SDK: Flash_Attrs Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
Flash_Attrs Struct Reference
APIs for Board Specific Device Drivers » APIs for FLASH

## Detailed Description

Flash device attributes, these are filled by SysCfg based on the flash device that is selected.

## Data Fields
uint32_t | flashType
char * | flashName
uint32_t | deviceId
uint32_t | manufacturerId
uint32_t | driverInstance
uint32_t | flashSize
uint32_t | blockCount
uint32_t | blockSize
uint32_t | pageCount
uint32_t | pageSize
uint32_t | sectorCount
uint32_t | sectorSize
uint32_t | spareAreaSize
uint32_t | phyTuningOffset

## Field Documentation

## ◆ flashType

uint32_t Flash_Attrs::flashType

Flash type. Whether it's NAND or NOR

## ◆ flashName

char* Flash_Attrs::flashName

Flash name. Taken from Sysconfig

## ◆ deviceId

uint32_t Flash_Attrs::deviceId

Flash device ID as read form the flash device, this will be filled when Flash_open() is called

## ◆ manufacturerId

uint32_t Flash_Attrs::manufacturerId

Flash manufacturer ID as read form the flash device, this will be filled when Flash_open() is called

## ◆ driverInstance

uint32_t Flash_Attrs::driverInstance

Underlying SPI peripheral driver instance that is used by the flash driver, e.g OSPI driver

## ◆ flashSize

uint32_t Flash_Attrs::flashSize

Flash size, in bytes

## ◆ blockCount

uint32_t Flash_Attrs::blockCount

Number of blocks in the flash the flash

## ◆ blockSize

uint32_t Flash_Attrs::blockSize

Size of each block, in bytes

## ◆ pageCount

uint32_t Flash_Attrs::pageCount

Number of pages per block

## ◆ pageSize

uint32_t Flash_Attrs::pageSize

Size of each page, in bytes

## ◆ sectorCount

uint32_t Flash_Attrs::sectorCount

Number of sectors in the flash, if flash supports sectors

## ◆ sectorSize

uint32_t Flash_Attrs::sectorSize

Size of each flash sector, in bytes

## ◆ spareAreaSize

uint32_t Flash_Attrs::spareAreaSize

Size of spare area in flash

## ◆ phyTuningOffset

uint32_t Flash_Attrs::phyTuningOffset

Flash offset at which phy tuning vector will be written